Attend XDA's Second Annual Developer Conference, XDA:DevCon 2014!
5,806,408 Members 53,074 Now Online
XDA Developers Android and Mobile Development Forum

Xposed - Legacy thread. Don't panic, Xposed is still here.

Tip us?
 
manfredi90
Old
#4571  
Junior Member
Thanks Meter 0
Posts: 27
Join Date: Aug 2007
Quote:
Originally Posted by rovo89 View Post

I had a look at it. The error message mentioned that the function dvmChangeStatus couldn't be found. Well, actually it is there, but Asus has added an additional boolean parameter to it (which has never existed in AOSP). Unfortunately, it is pretty hard to find out what it does when all I have is this:
Code:
000ca100 <dvmChangeStatus(Thread*, ThreadStatus, bool)>:
   ca100:       8d 64 24 d4             lea    esp,[esp-0x2c]
   ca104:       89 5c 24 20             mov    DWORD PTR [esp+0x20],ebx
   ca108:       8b 5c 24 30             mov    ebx,DWORD PTR [esp+0x30]
   ca10c:       85 db                   test   ebx,ebx
   ca10e:       89 74 24 24             mov    DWORD PTR [esp+0x24],esi
   ca112:       89 7c 24 28             mov    DWORD PTR [esp+0x28],edi
   ca116:       8b 74 24 34             mov    esi,DWORD PTR [esp+0x34]
   ca11a:       0f b6 54 24 38          movzx  edx,BYTE PTR [esp+0x38]
   ca11f:       0f 84 a6 00 00 00       je     ca1cb <dvmChangeStatus(Thread*, ThreadStatus, bool)+0xcb>
...
Assember doesn't have variable names and such nice things. What I did find out was that it enables a different mode for locking (i.e. telling other threads that they shouldn't do certain things right now). Setting it to false should keep the standard behavior.
But it would be naive to assume that everything works fine just by setting this parameter to false. It's probably part of some bigger change that Asus has done and should be true under circumstance that I don't know. This is a very central part and I spent at least a week debugging and trying around to get this right when I started developing Xposed because I had a bad system stability.

So in short: I think I have to add this ROM to the incompatibility list. Could you give me the full name/version information please? If a new ROM gets rid of this parameter in the future, Xposed should work fine for it.
Oh so sad news Maybe I will try when new rom from asus come out... the tablet exactly is the Asus ME302C, android version 4.2.2, kernel 3.4.21, Rom 4.7.1 WW (the last one). If you need other information please tell me and good work!
 
SamsonBear
Old
#4572  
Junior Member
Thanks Meter 0
Posts: 5
Join Date: Oct 2013
Quote:
Originally Posted by bgcngm View Post
Could it be that you installed GB through CWM .zip provided by C3CO? It includes an init.d script that replaces app_process.
Quote:
Originally Posted by C3C076 View Post
That would explain a lot. I don't understand why people keep flashing that even when it's available only for my gm2 ROM in my ROM thread. GB thread clearly says zip package is for gm2 rom.
Since I am able to read, I have certainly installed the apk file! And as I told you, since I have reverted to Xposed Framework v2.2 it is going nicely.
So there must be something wrong with 2.3/2.3.1...!?
 
rovo89
Old
#4573  
rovo89's Avatar
Senior Recognized Developer - OP
Thanks Meter 14,082
Posts: 2,367
Join Date: Jan 2012
Quote:
Originally Posted by mhmn View Post
hey guys, when i try to install xposed framework i come up with this
exec :no such file or directory .Can you help me asap??
Quote:
Originally Posted by mhmn View Post
Does anyone know how to solve it??
Quote:
Originally Posted by mhmn View Post
exec no such file or directory
How can I solve it??
Sorry, but you are too impatient to get support from me.

Quote:
Originally Posted by pitastrudl View Post
About installing xposed framework i would like to make a flashable zip to install it. I know how to make a basic flashable zip but i do not know what should be changed. Does xposed framework only modify the app_process file or does it replace? is it the only file that is being replaced? If so i could just make a flashable zip that replaces that file?
It replaces. You can have a look at this one: http://forum.xda-developers.com/show...php?p=44013064

Quote:
Originally Posted by SamsonBear View Post
Since I am able to read, I have certainly installed the apk file! And as I told you, since I have reverted to Xposed Framework v2.2 it is going nicely.
So there must be something wrong with 2.3/2.3.1...!?
No, there is something wrong with your ROM.
The app_process 37 belongs to version 2.2. As your ROM somehow always reverts to that version, it works fine with Xposed 2.2, but not with other versions.
It could either be some script that copies the binary from somewhere on reboot or your /system partition has become strange. If it's a script, you need to find and disable it, otherwise you could research why the partition is strange and might be able to flash the file via recovery. However, I don't think there is a flashable zip for 2.3 yet.
Tired of updating your mod for every new ROM release?
You want give users the possibility to combine different mods without creating tons of different files for all possible combinations?
Then have a look at my Xposed framework - modifications without APK changes!
The Following 3 Users Say Thank You to rovo89 For This Useful Post: [ Click to Expand ]
 
C3C076
Old
(Last edited by C3C076; 13th October 2013 at 09:09 PM.)
#4574  
C3C076's Avatar
Recognized Contributor
Thanks Meter 10,804
Posts: 4,295
Join Date: Dec 2012
Location: Bratislava

 
DONATE TO ME
@SamsonBear
Sorry, I missed that piece of info...
Nexus 5 running stock KitKat + GravityBox
GravityBox app - Xposed module for devices running vanilla Android
Please, do not use personal messages when trying to solve your problems. Use forum - its power is often underestimated. If I can't help somebody else will certainly try to. Thanks.
If you like my work, consider buying me a coffee.
 
mhmn
Old
#4575  
Junior Member
Thanks Meter 1
Posts: 21
Join Date: Oct 2013
sorry rovo89 i have trying to solve it for hours but i cant succeed thats why i am a bit impatient..
 
abhishekturumella
Old
#4576  
Member
Thanks Meter 9
Posts: 48
Join Date: Jun 2013
Default thank you dev !!

wonderful work....framework along with modules is a must have...
if xda permits i would thnk dev for multiple no of times
 
finalhit
Old
#4577  
Senior Member
Thanks Meter 217
Posts: 1,178
Join Date: Jan 2009
sorry if this has been answered before, but 400 pages is a bit too much of a read for me.

is there a known compatibility issue with HTC One? The first time, i had to install it via flashing (i found a zip flashable zip someone posted) because any changes i made wouldn't stick after reboots.

now, it seems like i'm stuck in app_process version 37, while "bundle" is 42. i can't seem to activate unicon, and i'm stuck in a loop of "you need to restart to activate..." blah blah (i'm not in a boot loop).

Any directions would be appreciated.

Thanks
 
rovo89
Old
#4578  
rovo89's Avatar
Senior Recognized Developer - OP
Thanks Meter 14,082
Posts: 2,367
Join Date: Jan 2012
You answer it yourself:
Quote:
Originally Posted by finalhit View Post
is there a known compatibility issue with HTC One? The first time, i had to install it via flashing (i found a zip flashable zip someone posted) because any changes i made wouldn't stick after reboots.
Version 37 belongs to Xposed 2.2, for Xposed 2.3 you need version 42. As I mentioned a few posts ago, I'm not aware of any zip for Xposed 2.3 (yet).
Tired of updating your mod for every new ROM release?
You want give users the possibility to combine different mods without creating tons of different files for all possible combinations?
Then have a look at my Xposed framework - modifications without APK changes!
 
Gack69
Old
#4579  
Gack69's Avatar
Senior Member
Thanks Meter 516
Posts: 736
Join Date: Nov 2011
Location: Louisville
Anyone know if this latest version is compatible with the Samsung Galaxy Note 3? I read somewhere that there was a beta that was reportedly working, or an older version that did...but wanted to wait till an official update was out that had support.

TIA!
by @strongsteve
Sprint Galaxy Note 3
Rooted (Thanks Chainfire!)
 
aerichards1977
Old
#4580  
Senior Member
Thanks Meter 46
Posts: 132
Join Date: Mar 2011
Quote:
Originally Posted by Gack69 View Post
Anyone know if this latest version is compatible with the Samsung Galaxy Note 3? I read somewhere that there was a beta that was reportedly working, or an older version that did...but wanted to wait till an official update was out that had support.

TIA!
I am using latest from the op on a Verizon note 3 with no problems.

Sent from my SM-N900V using Tapatalk

The Following User Says Thank You to aerichards1977 For This Useful Post: [ Click to Expand ]
Tags
don't ask questions about modules here!!!, framework, xposed
THREAD CLOSED
Subscribe
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes